directories:
  output: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist
  buildResources: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets
appId: net.mullvad.vpn
copyright: Mullvad VPN AB
productName: Mullvad VPN
asar: true
compression: normal
extraResources:
  - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\ca.crt
  - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\build\relays.json
  - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\CHANGELOG.md
extraMetadata:
  name: mullvad-vpn
  version: 2024.1.0-beta2-dev-1c6d12
files:
  - filter:
      - package.json
      - changes.txt
      - init.js
      - build/
      - '!build/src/renderer'
      - build/src/renderer/index.html
      - build/src/renderer/bundle.js
      - build/src/renderer/preloadBundle.js
      - '!**/*.tsbuildinfo'
      - '!test/'
      - '!playwright.config.ts'
      - node_modules/
      - '!node_modules/grpc-tools'
      - '!node_modules/@types'
      - '!node_modules/nseventmonitor/build/Release'
mac:
  target:
    target: pkg
  singleArchFiles: node_modules/nseventmonitor/lib/binding/Release/**
  artifactName: MullvadVPN-${version}.${ext}
  category: public.app-category.tools
  icon: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\icon-macos.icns
  extendInfo:
    LSUIElement: true
    NSUserNotificationAlertStyle: banner
  extraResources:
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\${env.BINARIES_PATH}\mullvad
      to: .
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\${env.BINARIES_PATH}\mullvad-problem-report
      to: .
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\${env.BINARIES_PATH}\mullvad-daemon
      to: .
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\${env.BINARIES_PATH}\mullvad-setup
      to: .
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\${env.BINARIES_PATH}\libtalpid_openvpn_plugin.dylib
      to: .
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\binaries\${env.TARGET_TRIPLE}\openvpn
      to: .
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\uninstall_macos.sh
      to: ./uninstall.sh
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\build\shell-completions\_mullvad
      to: .
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\build\shell-completions\mullvad.fish
      to: .
pkg:
  allowAnywhere: false
  allowCurrentUserHome: false
  isRelocatable: false
  isVersionChecked: false
nsis:
  guid: 2A356FD4-03B7-4F45-99B4-737BE580DC82
  oneClick: false
  perMachine: true
  allowElevation: true
  allowToChangeInstallationDirectory: false
  include: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\windows\installer.nsh
  installerSidebar: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\windows\installersidebar.bmp
win:
  target:
    - target: nsis
      arch:
        - x64
  artifactName: MullvadVPN-${version}.${ext}
  publisherName: Mullvad VPN AB
  signingHashAlgorithms:
    - sha256
  signDlls: true
  extraResources:
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\mullvad.exe
      to: .
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\mullvad-problem-report.exe
      to: .
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\mullvad-daemon.exe
      to: .
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\talpid_openvpn_plugin.dll
      to: .
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\windows\winfw\bin\x64-${env.CPP_BUILD_MODE}\winfw.dll
      to: .
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\binaries\x86_64-pc-windows-msvc\openvpn.exe
      to: .
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\binaries\x86_64-pc-windows-msvc\wintun\wintun.dll
      to: .
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\binaries\x86_64-pc-windows-msvc\split-tunnel\mullvad-split-tunnel.sys
      to: .
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\binaries\x86_64-pc-windows-msvc\wireguard-nt\mullvad-wireguard.dll
      to: .
linux:
  target:
    - target: deb
    - target: rpm
  artifactName: MullvadVPN-${version}_${arch}.${ext}
  category: Network
  icon: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\icon.icns
  extraFiles:
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\linux\mullvad-gui-launcher.sh
      to: .
  extraResources:
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\mullvad-problem-report
      to: .
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\mullvad-setup
      to: .
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\libtalpid_openvpn_plugin.so
      to: .
    - from: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\binaries\${env.TARGET_TRIPLE}\openvpn
      to: .
deb:
  fpm:
    - '--no-depends'
    - '--version'
    - 2024.1~beta2-dev-1c6d12
    - '--before-install'
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\linux\before-install.sh
    - '--before-remove'
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\linux\before-remove.sh
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\linux\mullvad-daemon.service=/usr/lib/systemd/system/mullvad-daemon.service
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\linux\mullvad-early-boot-blocking.service=/usr/lib/systemd/system/mullvad-early-boot-blocking.service
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\mullvad=/usr/bin/
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\mullvad-daemon=/usr/bin/
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\mullvad-exclude=/usr/bin/
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\linux\problem-report-link=/usr/bin/mullvad-problem-report
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\build\shell-completions\mullvad.bash=/usr/share/bash-completion/completions/mullvad
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\build\shell-completions\_mullvad=/usr/local/share/zsh/site-functions/_mullvad
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\build\shell-completions\mullvad.fish=/usr/share/fish/vendor_completions.d/mullvad.fish
  afterInstall: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\linux\after-install.sh
  afterRemove: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\linux\after-remove.sh
rpm:
  fpm:
    - '--version'
    - 2024.1~beta2-dev-1c6d12
    - '--rpm-rpmbuild-define=_build_id_links none'
    - '--directories=/opt/Mullvad VPN/'
    - '--before-install'
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\linux\before-install.sh
    - '--before-remove'
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\linux\before-remove.sh
    - '--rpm-posttrans'
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\linux\post-transaction.sh
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\linux\mullvad-daemon.service=/usr/lib/systemd/system/mullvad-daemon.service
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\linux\mullvad-early-boot-blocking.service=/usr/lib/systemd/system/mullvad-early-boot-blocking.service
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\mullvad=/usr/bin/
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\mullvad-daemon=/usr/bin/
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\mullvad-exclude=/usr/bin/
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\linux\problem-report-link=/usr/bin/mullvad-problem-report
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\build\shell-completions\mullvad.bash=/usr/share/bash-completion/completions/mullvad
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\build\shell-completions\_mullvad=/usr/share/zsh/site-functions/_mullvad
    - C:\Users\Administrator\autobuild-windows\mullvadvpn-app\build\shell-completions\mullvad.fish=/usr/share/fish/vendor_completions.d/mullvad.fish
  afterInstall: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\linux\after-install.sh
  afterRemove: C:\Users\Administrator\autobuild-windows\mullvadvpn-app\dist-assets\linux\after-remove.sh
  depends:
    - libXScrnSaver
    - libnotify
    - dbus-libs
asarUnpack:
  - build/assets/images/menubar-icons/win32/lock-*.ico
electronVersion: 28.1.3
